/*
 * Secure eXtended Message Passing framework
 * Secure eXtended Transport layer implementation: (libsxt)
 * - very similar to SSH2/TLS
 * - using already proven and tested crypto algos
 * - better than TLS for message passing
 *
 *
 * (c) Alexander Vdolainen 2016 <avdolainen@zoho.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 *
 */

#ifndef __SXT_ERRNO_H__
#define __SXT_ERRNO_H__

#define SXT_SUCCESS     (SXT_EBASESHIFT - SXT_EBASESHIFT)
#define SXT_EBASESHIFT  300

#define SXT_ECRYPTO     (SXT_EBASESHIFT + 12)
#define SXT_EINVAL      (SXT_EBASESHIFT + 22)
#define SXT_ENOMEM      (SXT_EBASESHIFT + 42)

#endif /* __SXT_ERRNO_H__ */
